# Uses of Class
org.lwjgl.opengl.DisplayMode

Packages that use DisplayMode
Package
Description
org.lwjgl.opengl
org.lwjgl.util

## Uses of DisplayMode in org.lwjgl.opengl

Methods in org.lwjgl.opengl that return DisplayMode
Modifier and Type
Method
Description
`static DisplayMode[]`
Display.`getAvailableDisplayModes()`
Returns the entire list of possible fullscreen display modes as an array, in no particular order.
`static DisplayMode`
Display.`getDesktopDisplayMode()`
Return the initial desktop display mode.
`static DisplayMode`
Display.`getDisplayMode()`
Return the current display mode, as set by setDisplayMode().
Methods in org.lwjgl.opengl with parameters of type DisplayMode
Modifier and Type
Method
Description
`static void`
Display.`setDisplayMode(DisplayMode mode)`
Set the current display mode.
`static void`
Display.`setDisplayModeAndFullscreen(DisplayMode mode)`
Set the mode of the context.

## Uses of DisplayMode in org.lwjgl.util

Methods in org.lwjgl.util that return DisplayMode
Modifier and Type
Method
Description
`static DisplayMode[]`
Display.`getAvailableDisplayModes(int minWidth, int minHeight, int maxWidth, int maxHeight, int minBPP, int maxBPP, int minFreq, int maxFreq)`
Determine the available display modes that match the specified minimum and maximum criteria.
`static DisplayMode`
Display.`setDisplayMode(DisplayMode[] dm, String[] param)`
Create the display by choosing from a list of display modes based on an order of preference.
Methods in org.lwjgl.util with parameters of type DisplayMode
Modifier and Type
Method
Description
`static DisplayMode`
Display.`setDisplayMode(DisplayMode[] dm, String[] param)`
Create the display by choosing from a list of display modes based on an order of preference.